SQ(1)

NAME
sq toolbox strip-userid - Strip a user ID

SYNOPSIS
sq toolbox strip-userid [OPTIONS]

DESCRIPTION
Strip a user ID.

Note that this operation does not reliably remove User IDs from a certificate that has already been disseminated! (OpenPGP software typically appends new information it receives about a certificate to its local copy of that certificate. Systems that have obtained a copy of your certificate with the User ID that you are trying to strip will not drop that User ID from their copy.)

In most cases, you will want to use the 'sq key userid revoke' operation instead. That issues a revocation for a User ID, which can be used to mark the User ID as invalidated.

However, this operation can be useful in very specific cases, in particular: to remove a mistakenly added User ID before it has been uploaded to key servers or otherwise shared.

Stripping a User ID may change how a certificate is interpreted. This is because information about the certificate like algorithm preferences, the primary key's key flags, etc. is stored in the User ID's binding signature.

OPTIONS

  Subcommand options

--binary
    Emit binary data

--cert=FINGERPRINT|KEYID
    Strip the user ID of the certificate with the specified fingerprint or key ID

--cert-email=EMAIL
    Strip the user ID of the certificate where a user ID includes the specified email address

--cert-file=PATH
    Strip the user ID from the cert read from PATH

--cert-userid=USERID
    Strip the user ID of the certificate with the specified user ID

--email=ADDRESS
    Strip the given email address user ID. Must match a user ID exactly. To strip a user ID that contains more than just an email address name, use `--userid`.

--name=NAME
    Strip the given name user ID. Must match a user ID exactly. To strip a user ID that contains more than just a name, use `--userid`.

--output=FILE
    Write to the specified FILE.

    If not specified, and the certificate was read from the certificate store, imports the modified certificate into the cert store. If not specified, and the certificate was read from a file, writes the modified certificate to stdout.

--userid=USERID
    Strip the given user IDs from the key. Must match a user ID exactly.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Strip a User ID from a cert in the cert store.

    sq toolbox strip-userid --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0 --userid \
        "Alice <alice@example.org>"

SEE ALSO
sq(1), sq-toolbox(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.39.0 (sequoia-openpgp 1.21.2)